terraform {
  required_providers {
    scaleway = {
      source = "scaleway/scaleway"
      version = "2.0.0-rc1"
    }
  }
}

provider "scaleway" {
  zone = "fr-par-1"
  region = "fr-par"
  project_id = "1915f95a-dea4-4222-8e6b-a90b6125d1f4"
}

resource "scaleway_instance_ip" "torhs_ip" {}
resource "scaleway_instance_server" "torhs" {
  type  = "DEV1-L"
  image = "ubuntu_focal"
  name = "torhs"
  cloud_init = file("${path.module}/torhs.init")
  ip_id = scaleway_instance_ip.torhs_ip.id
}
